import { NextRequest, NextResponse } from 'next/server';
import { b as I18nMiddlewareConfig } from '../../types-8659be9a.js';
import 'international-types';

declare function createI18nMiddleware<const Locales extends readonly string[]>(config: I18nMiddlewareConfig<Locales>): (request: NextRequest) => NextResponse<unknown>;

export { createI18nMiddleware };
